Tasks

List Task Views

GET
/orgs/{organizationId}/task-views

Lists the task views visible to the current user: every organization view plus their own personal views.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""name""description""icon""color""kind""scope""ownerId""sortOrder""definition""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
ownerId?string|array<string>|null
kind?|array<>|
scope?|array<>|
sortOrder?number||
createdAt?|null
updatedAt?|null
name?string|array<string>|
description?string|array<string>|
icon?string|array<string>|
color?string|array<string>|
definition?
hasSharedWith?boolean|string|number|null
hasNoSharedWith?boolean|string|number|null
hasSharedWithGroups?boolean|string|number|null
hasNoSharedWithGroups?boolean|string|number|null
hasTasks?boolean|string|number|null
hasNoTasks?boolean|string|number|null
hasUserStates?boolean|string|number|null
hasNoUserStates?boolean|string|number|null
hasShares?boolean|string|number|null
hasNoShares?boolean|string|number|null
hasFollows?boolean|string|number|null
hasNoFollows?boolean|string|number|null
sharedWithId?string|array<string>|
sharedWithGroupId?string|array<string>|
taskId?string|array<string>|
userStateId?string|array<string>|
shareId?string|array<string>|
followId?string|array<string>|
hasOwner?boolean|string|number|null
hasNoOwner?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/task-views'
null